# Poco::Data::SQLite

# class Extractor

Library: Data/SQLite
Package: SQLite
Header: Poco/Data/SQLite/Extractor.h

## Description

Extracts and converts data values form the result row returned by SQLite. If NULL is received, the incoming val value is not changed and false is returned

## Inheritance

Direct Base Classes: Poco::Data::AbstractExtractor

All Base Classes: Poco::Data::AbstractExtractor

## Member Summary

Member Functions: extract

Inherited Functions: extract

## Constructors

### Extractor

Extractor(
sqlite3_stmt * pStmt
);

Creates the Extractor.

## Destructor

### ~Extractor

~Extractor();

Destroys the Extractor.

## Member Functions

### extract

bool extract(
std::size_t pos,
Poco::Int8 & val
);

Extracts an Int8.

See also: Poco::Data::AbstractExtractor::extract()

### extract

bool extract(
std::size_t pos,
Poco::UInt8 & val
);

Extracts an UInt8.

See also: Poco::Data::AbstractExtractor::extract()

### extract

bool extract(
std::size_t pos,
Poco::Int16 & val
);

Extracts an Int16.

See also: Poco::Data::AbstractExtractor::extract()

### extract

bool extract(
std::size_t pos,
Poco::UInt16 & val
);

Extracts an UInt16.

See also: Poco::Data::AbstractExtractor::extract()

### extract

bool extract(
std::size_t pos,
Poco::Int32 & val
);

Extracts an Int32.

See also: Poco::Data::AbstractExtractor::extract()

### extract

bool extract(
std::size_t pos,
Poco::UInt32 & val
);

Extracts an UInt32.

See also: Poco::Data::AbstractExtractor::extract()

### extract

bool extract(
std::size_t pos,
Poco::Int64 & val
);

Extracts an Int64.

See also: Poco::Data::AbstractExtractor::extract()

### extract

bool extract(
std::size_t pos,
Poco::UInt64 & val
);

Extracts an UInt64.

See also: Poco::Data::AbstractExtractor::extract()

### extract

bool extract(
std::size_t pos,
bool & val
);

Extracts a boolean.

See also: Poco::Data::AbstractExtractor::extract()

### extract

bool extract(
std::size_t pos,
float & val
);

Extracts a float.

See also: Poco::Data::AbstractExtractor::extract()

### extract

bool extract(
std::size_t pos,
double & val
);

Extracts a double.

See also: Poco::Data::AbstractExtractor::extract()

### extract

bool extract(
std::size_t pos,
char & val
);

Extracts a single character.

See also: Poco::Data::AbstractExtractor::extract()

### extract

bool extract(
std::size_t pos,
std::string & val
);

Extracts a string.

See also: Poco::Data::AbstractExtractor::extract()

### extract

bool extract(
std::size_t pos,
Poco::Data::BLOB & val
);

Extracts a BLOB.

### extract

bool extract(
std::size_t pos,
Poco::Any & val
);

Extracts an Any.